* {
  box-sizing: border-box;
}

body {
  font-family: 'Ubuntu', sans-serif;
  background: url(../img/background.png) no-repeat;
  background-size: cover;
}

.container {
  height: 100vh;
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: 60px auto 5px;
}

.header,
.main,
.footer {
  padding: 0 80px;
}

.header {
  display: grid;
  background: #00000066;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}


.header,
.header a,
.footer,
.footer a {
  color: #fff;
}

.header-content {
  display: grid;
  grid-template-columns: auto auto;
  justify-content: space-between;
  align-items: center;
}

.logo {
  font-size: 22px;
  font-weight: bold;
  text-transform: uppercase;
}

.logo a,
.nav-items a {
  text-decoration: none;
  transition: all 0.3s;
}

.logo a:hover,
.nav-items a:hover,
.nav-login a:hover {
  color: #01813F;
}

.nav {
  display: flex;
  align-items: center;
}

.nav-items {
  display: inline-block;
  padding: 0 25px;
  line-height: 0;
  border-right: 1px solid #ffffff2e;

}

.svg {
  width: 23px;
  height: 24px;
  margin-left: 23px;
  fill: #fff;
}

.nav-login a,
.nav-items a svg {
  transition: all 0.3s;
}

.nav-items a:hover svg {
  fill: #01813F;
}

.nav-login {
  display: inline-block;
  padding-left: 25px;
  font-size: 14px;
}

.wrap {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.signup {
  width: 444px;
  height: 584px;
  background: #FFFFFF;
  box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
  padding: 10px 59px;
}

.decor {
  position: relative;
  width: 18px;
  height: 18px;
  top: 20px;
  left: -59px;
  background: #3CB878;
}

.signup-title {
  display: flex;
  justify-content: space-between;
  align-content: flex-end;
}

.signup-title-text {
  font-size: 20px;
  color: #434343;
}

.signup-title-login a,
.checkbox-label a {
  font-size: 14px;
  color: #3CB878;
  text-decoration: none;
  transition: all 0.3s;
}

.signup-title-login a:hover,
.checkbox-label a:hover {
  color: #01813F;
  text-decoration: underline;
}

.social-btn-login {
  margin-top: 15px;
  display: flex;
  justify-content: space-between;
}

.social-btn-fb,
.social-btn-ggl {
  width: 160px;
  height: 48px;
  color: #fff;
  line-height: 48px;
  border-radius: 4px;
  text-align: right;
  padding-right: 22px;
  text-decoration: none;
}

.social-btn-fb,
.social-btn-ggl {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.social-btn-fb {
  background: #305DB8;
  transition: all 0.3s;
}

.social-btn-ggl {
  background: #DF4A32;
  transition: all 0.3s;
}

.social-btn-fb:hover {
  background: #022263;
}

.social-btn-ggl:hover {
  background: #AB1F09;
}

.fa-facebook-f {
  height: 24px;
  padding: 6px 17px;
  border-right: 1px solid rgba(0, 0, 0, 0.2);
}

.fa-google-plus-g {
  height: 29px;
  padding: 4px 8px 4px 12px;
  border-right: 1px solid rgba(0, 0, 0, 0.2);
}

.signup-delimiter {
  margin-top: 32px;
  text-align: center;
}

.signup-delimiter .delimiter-line {
  border-top: 1px solid #F2F2F2;
}

.signup-delimiter span {
  position: relative;
  top: -12px;
  font-size: 13px;
  color: #848484;
  padding: 0 3px;
  background: #fff;
}

.signup-form input[type=text],
.signup-form input[type=email],
.signup-form input[type=password] {
  width: 100%;
  height: 44px;
  border-radius: 4px;
  padding: 0 20px;
  font-size: 14px;
  margin-bottom: 15px;
  border: 1px solid #F2F2F2;
  color: #434343;
  outline-color: transparent;
  transition: all 0.3s;
}

.signup-form input[type=text]:focus,
.signup-form input[type=email]:focus,
.signup-form input[type=password]:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.signup-form input[type=text]::placeholder,
.signup-form input[type=email]::placeholder,
.signup-form input[type=password]::placeholder {
  color: #BEBEBE;
}

.checkbox-label {
  display: block;
  font-size: 14px;
  color: #434343;
  margin-bottom: 15px;
}

/* для элемента input c type="checkbox" */
.signup-form input[type=checkbox] {
  position: absolute;
  z-index: -1;
  opacity: 0;
}

/* для элемента label, связанного с .custom-checkbox */
.signup-form .checkbox-label span {
  display: inline-flex;
  align-items: center;
  user-select: none;
}

/* создание в label псевдоэлемента before со следующими стилями */
.signup-form .checkbox-label span::before {
  content: '';
  display: inline-block;
  width: 20px;
  height: 20px;
  flex-shrink: 0;
  flex-grow: 0;
  border: 1px solid #F2F2F2;
  margin-right: 10px;
  background-repeat: no-repeat;
  background-position: center center;
}

/* стили при наведении курсора на checkbox */
.signup-form input[type=checkbox]:not(:disabled):not(:checked)+span:hover::before {
  border-color: #63C693;
  cursor: pointer;
}

/* стили для чекбокса, находящегося в состоянии checked */
.signup-form input[type=checkbox]:checked+span::before {
  cursor: pointer;
  background-image: url('../img/agree.svg');

}

.signup-form input[type=submit] {
  width: 100%;
  height: 46px;
  color: #fff;
  border-radius: 4px;
  outline-color: transparent;
  border: none;
  cursor: pointer;
  background: #63C693;
  transition: all 0.3s;
}

.signup-form input[type=submit]:hover {
  background: #01813F;
}